
	COMMENT ON TYPE box2d IS 'postgis type: Ein Rechteck das aus Xmin, Ymin, Xmax und Ymax gebildet wird. Wird oft verwendet, um das umschreibende Rechteck einer Geometrie in 2D zu erhalten.';

	COMMENT ON TYPE box3d IS 'postgis type: Ein Quader der aus Xmin, Ymin, Zmin, Xmax, Ymax und Zmax gebildet wird. Wird oft verwendet, um die 3D Ausdehnung einer Geometrie oder einer Sammelgeometrie zu erhalten.';

	COMMENT ON TYPE geometry IS 'postgis type: Flächiger räumlicher Datentyp.';

	COMMENT ON TYPE geometry_dump IS 'postgis type: Ein räumlicher Datentyp mit zwei Attributen - geom (enthält ein Geometrieobjekt) und Path[] (ein 1-dimensionales Feld, welches die Position der Geometrie innherhalb des entladenen Objektes angibt).';

	COMMENT ON TYPE geography IS 'postgis type: Ein Datentyp mit Ellipsoidkoordinaten.';

COMMENT ON FUNCTION AddGeometryColumn(varchar , varchar , integer , varchar , integer , boolean ) IS 'args: table_name, column_name, srid, type, dimension, use_typmod=true - Fügt eine Geometriespalte an eine bestehende Tabelle an. Standardmäßig wird Typmodifikation anstelle von Bedingungen/Constraints verwendet. Sie erreichen das alte, auf check constraints basierte Verhalten, wenn Sie use_typmod auf false setzen.';
			
COMMENT ON FUNCTION AddGeometryColumn(varchar , varchar , varchar , integer , varchar , integer , boolean ) IS 'args: schema_name, table_name, column_name, srid, type, dimension, use_typmod=true - Fügt eine Geometriespalte an eine bestehende Tabelle an. Standardmäßig wird Typmodifikation anstelle von Bedingungen/Constraints verwendet. Sie erreichen das alte, auf check constraints basierte Verhalten, wenn Sie use_typmod auf false setzen.';
			
COMMENT ON FUNCTION AddGeometryColumn(varchar , varchar , varchar , varchar , integer , varchar , integer , boolean ) IS 'args: catalog_name, schema_name, table_name, column_name, srid, type, dimension, use_typmod=true - Fügt eine Geometriespalte an eine bestehende Tabelle an. Standardmäßig wird Typmodifikation anstelle von Bedingungen/Constraints verwendet. Sie erreichen das alte, auf check constraints basierte Verhalten, wenn Sie use_typmod auf false setzen.';
			
COMMENT ON FUNCTION DropGeometryColumn(varchar , varchar ) IS 'args: table_name, column_name - Entfernt eine Geometriespalte aus einer räumlichen Tabelle.';
			
COMMENT ON FUNCTION DropGeometryColumn(varchar , varchar , varchar ) IS 'args: schema_name, table_name, column_name - Entfernt eine Geometriespalte aus einer räumlichen Tabelle.';
			
COMMENT ON FUNCTION DropGeometryColumn(varchar , varchar , varchar , varchar ) IS 'args: catalog_name, schema_name, table_name, column_name - Entfernt eine Geometriespalte aus einer räumlichen Tabelle.';
			
COMMENT ON FUNCTION DropGeometryTable(varchar ) IS 'args: table_name - Löscht eine Tabelle und alle Referenzen in dem geometry_columns View.';
			
COMMENT ON FUNCTION DropGeometryTable(varchar , varchar ) IS 'args: schema_name, table_name - Löscht eine Tabelle und alle Referenzen in dem geometry_columns View.';
			
COMMENT ON FUNCTION DropGeometryTable(varchar , varchar , varchar ) IS 'args: catalog_name, schema_name, table_name - Löscht eine Tabelle und alle Referenzen in dem geometry_columns View.';
			
COMMENT ON FUNCTION PostGIS_Extensions_Upgrade() IS 'Upgrades installed postgis packaged extensions (e.g. postgis_sfcgal, postgis_topology, postgis_sfcgal) to latest installed version. Reports full postgis version and build configuration infos after.';
			
COMMENT ON FUNCTION PostGIS_Full_Version() IS 'Gibt einen vollständigen Bericht über die Version und Information über die Kompilationskonfiguration aus.';
			
COMMENT ON FUNCTION PostGIS_GEOS_Version() IS 'Gibt die Versionsnummer der GEOS Bibliothek zurück.';
			
COMMENT ON FUNCTION PostGIS_Liblwgeom_Version() IS 'Gibt die Versionsnummer der liblwgeom Bibliothek zurück. Diese sollte mit der Version von PostGIS übereinstimmen.';
			
COMMENT ON FUNCTION PostGIS_LibXML_Version() IS 'Gibt die Versionsnummer der libxml2 Bibliothek zurück.';
			
COMMENT ON FUNCTION PostGIS_Lib_Build_Date() IS 'Gibt das Kompilations-Datum der PostGIS Bibliothek zurück.';
			
COMMENT ON FUNCTION PostGIS_Lib_Version() IS 'Gibt die Versionsnummer der PostGIS Bibliothek aus.';
			
COMMENT ON FUNCTION PostGIS_PROJ_Version() IS 'Gibt die Versionsnummer der Proj4 Bibliothek zurück.';
			
COMMENT ON FUNCTION PostGIS_Scripts_Build_Date() IS 'Gibt das Kompilationsdatum der PostGIS Skripts aus.';
			
COMMENT ON FUNCTION PostGIS_Scripts_Installed() IS 'Gibt die Version der in der Datenbank installierten PostGIS Skripts aus.';
			
COMMENT ON FUNCTION PostGIS_Scripts_Released() IS 'Gibt die Versionsnummer des Skript "postgis.sql" aus, das mit der installierten PostGIS Bibliothek veröffentlicht wurde.';
			
COMMENT ON FUNCTION PostGIS_Version() IS 'Gibt die Versionsnummer von PostGIS und die Optionen zur Kompilationzeit aus.';
			
COMMENT ON FUNCTION Populate_Geometry_Columns(boolean ) IS 'args: use_typmod=true - Sorgt dafür, dass die Geometriespalten mit Typmodifikatoren oder mit passenden räumlichen Constraints versehen sind. Dadurch wird die korrekte Registrierung im View geometry_columns sichergestellt. Standardmäßig werden alle Geometriespalten, die keinen Typmodifikator aufweisen, mit Typmodifikatoren versehen. Für die alte Verhaltensweise setzen Sie bitte use_typmod=false';
			
COMMENT ON FUNCTION Populate_Geometry_Columns(oid, boolean ) IS 'args: relation_oid, use_typmod=true - Sorgt dafür, dass die Geometriespalten mit Typmodifikatoren oder mit passenden räumlichen Constraints versehen sind. Dadurch wird die korrekte Registrierung im View geometry_columns sichergestellt. Standardmäßig werden alle Geometriespalten, die keinen Typmodifikator aufweisen, mit Typmodifikatoren versehen. Für die alte Verhaltensweise setzen Sie bitte use_typmod=false';
			
COMMENT ON FUNCTION UpdateGeometrySRID(varchar , varchar , integer ) IS 'args: table_name, column_name, srid - Erneuert die SRID aller Features einer Geometriespalte, die Metadaten und die SRID in "geometry_columns". Wenn Constraints erzwungen wurden, werden die Constraints mit der neuen SRID versehen. Falls die Definition über den Datentyp erfolgte, wird die Datentypdefinition geändert.';
			
COMMENT ON FUNCTION UpdateGeometrySRID(varchar , varchar , varchar , integer ) IS 'args: schema_name, table_name, column_name, srid - Erneuert die SRID aller Features einer Geometriespalte, die Metadaten und die SRID in "geometry_columns". Wenn Constraints erzwungen wurden, werden die Constraints mit der neuen SRID versehen. Falls die Definition über den Datentyp erfolgte, wird die Datentypdefinition geändert.';
			
COMMENT ON FUNCTION UpdateGeometrySRID(varchar , varchar , varchar , varchar , integer ) IS 'args: catalog_name, schema_name, table_name, column_name, srid - Erneuert die SRID aller Features einer Geometriespalte, die Metadaten und die SRID in "geometry_columns". Wenn Constraints erzwungen wurden, werden die Constraints mit der neuen SRID versehen. Falls die Definition über den Datentyp erfolgte, wird die Datentypdefinition geändert.';
			
COMMENT ON FUNCTION ST_BdPolyFromText(text , integer ) IS 'args: WKT, srid - Konstruiert ein Polygon aus einer beliebigen Ansammlung von geschlossenen Linienzügen, welche als MultiLineString in der Well-Known Text Darstellung vorliegen müssen.';
			
COMMENT ON FUNCTION ST_BdMPolyFromText(text , integer ) IS 'args: WKT, srid - Konstruiert ein MultiPolygon aus einer beliebigen Ansammlung von geschlossenen Linienzügen, welche als MultiLineString in der Well-Known Text Darstellung vorliegen müssen.';
			
COMMENT ON FUNCTION ST_Box2dFromGeoHash(text , integer ) IS 'args: geohash, precision=full_precision_of_geohash - Gibt die BOX2D einer GeoHash Zeichenkette zurück.';
			
COMMENT ON FUNCTION ST_GeogFromText(text ) IS 'args: EWKT - Gibt einen geographischen Datentyp aus einer Well-known-Text (WKT), oder einer erweiterten WKT (EWKT), Darstellung zurück.';
			
COMMENT ON FUNCTION ST_GeographyFromText(text ) IS 'args: EWKT - Gibt einen geographischen Datentyp aus einer Well-known-Text (WKT), oder einer erweiterten WKT (EWKT), Darstellung zurück.';
			
COMMENT ON FUNCTION ST_GeogFromWKB(bytea ) IS 'args: wkb - Erzeugt ein geographisches Objekt aus der Well-known-Binary (WKB) oder der erweiterten Well-known-Binary (EWKB) Darstellung.';
			
COMMENT ON FUNCTION ST_GeomFromTWKB(bytea ) IS 'args: twkb - Erzeugt eine Geometrie aus einer TWKB ("Tiny Well-Known Binary") Darstellung.';
			
COMMENT ON FUNCTION ST_GeomCollFromText(text , integer ) IS 'args: WKT, srid - Erzeugt eine Sammelgeometrie mit der gegebenen SRID aus einer WKT-Kollektion. Wenn keine SRID angegeben ist, wird diese standardmäßig auf 0 gesetzt.';
			
COMMENT ON FUNCTION ST_GeomCollFromText(text ) IS 'args: WKT - Erzeugt eine Sammelgeometrie mit der gegebenen SRID aus einer WKT-Kollektion. Wenn keine SRID angegeben ist, wird diese standardmäßig auf 0 gesetzt.';
			
COMMENT ON FUNCTION ST_GeomFromEWKB(bytea ) IS 'args: EWKB - Gibt einen geometrischen Datentyp (ST_Geometry) aus einer Well-known-Binary (WKB) Darstellung zurück.';
			
COMMENT ON FUNCTION ST_GeomFromEWKT(text ) IS 'args: EWKT - Gibt einen spezifizierten ST_Geometry-Wert von einer erweiterten Well-known-Text Darstellung (EWKT) zurück.';
			
COMMENT ON FUNCTION ST_GeometryFromText(text ) IS 'args: WKT - Gibt einen spezifizierten ST_Geometry-Wert von einer Well-known-Text Darstellung (WKT) zurück. Die Bezeichnung ist ein Alias für ST_GeomFromText';
			
COMMENT ON FUNCTION ST_GeometryFromText(text , integer ) IS 'args: WKT, srid - Gibt einen spezifizierten ST_Geometry-Wert von einer Well-known-Text Darstellung (WKT) zurück. Die Bezeichnung ist ein Alias für ST_GeomFromText';
			
COMMENT ON FUNCTION ST_GeomFromGeoHash(text , integer ) IS 'args: geohash, precision=full_precision_of_geohash - Gibt die Geometrie einer GeoHash Zeichenfolge zurück.';
			
COMMENT ON FUNCTION ST_GeomFromGML(text ) IS 'args: geomgml - Nimmt als Eingabe eine GML-Darstellung der Geometrie und gibt ein geometrisches PostGIS-Objekt aus.';
			
COMMENT ON FUNCTION ST_GeomFromGML(text , integer ) IS 'args: geomgml, srid - Nimmt als Eingabe eine GML-Darstellung der Geometrie und gibt ein geometrisches PostGIS-Objekt aus.';
			
COMMENT ON FUNCTION ST_GeomFromGeoJSON(text ) IS 'args: geomjson - Nimmt als Eingabe eine GeoJSON-Darstellung der Geometrie und gibt ein geometrisches PostGIS-Objekt aus.';
			
COMMENT ON FUNCTION ST_GeomFromGeoJSON(json ) IS 'args: geomjson - Nimmt als Eingabe eine GeoJSON-Darstellung der Geometrie und gibt ein geometrisches PostGIS-Objekt aus.';
			
COMMENT ON FUNCTION ST_GeomFromGeoJSON(jsonb ) IS 'args: geomjson - Nimmt als Eingabe eine GeoJSON-Darstellung der Geometrie und gibt ein geometrisches PostGIS-Objekt aus.';
			
COMMENT ON FUNCTION ST_GeomFromKML(text ) IS 'args: geomkml - Nimmt als Eingabe eine KML-Darstellung der Geometrie und gibt ein geometrisches PostGIS-Objekt aus.';
			
COMMENT ON FUNCTION ST_GMLToSQL(text ) IS 'args: geomgml - Gibt einen spezifizierten ST_Geometry Wert aus einer GML-Darstellung zurück. Dies ist ein Aliasname für ST_GeomFromGML';
			
COMMENT ON FUNCTION ST_GMLToSQL(text , integer ) IS 'args: geomgml, srid - Gibt einen spezifizierten ST_Geometry Wert aus einer GML-Darstellung zurück. Dies ist ein Aliasname für ST_GeomFromGML';
			
COMMENT ON FUNCTION ST_GeomFromText(text ) IS 'args: WKT - Gibt einen spezifizierten ST_Geometry Wert aus einer Well-known-Text Darstellung (WKT) zurück.';
			
COMMENT ON FUNCTION ST_GeomFromText(text , integer ) IS 'args: WKT, srid - Gibt einen spezifizierten ST_Geometry Wert aus einer Well-known-Text Darstellung (WKT) zurück.';
			
COMMENT ON FUNCTION ST_GeomFromWKB(bytea ) IS 'args: geom - Erzeugt ein geometrisches Objekt aus der Well-known-Binary (WKB) Darstellung und einer optionalen SRID.';
			
COMMENT ON FUNCTION ST_GeomFromWKB(bytea , integer ) IS 'args: geom, srid - Erzeugt ein geometrisches Objekt aus der Well-known-Binary (WKB) Darstellung und einer optionalen SRID.';
			
COMMENT ON FUNCTION ST_LineFromEncodedPolyline(text , integer ) IS 'args: polyline, precision=5 - Erzeugt einen LineString aus einem codierten Linienzug.';
			
COMMENT ON FUNCTION ST_LineFromMultiPoint(geometry ) IS 'args: aMultiPoint - Erzeugt einen LineString aus einer MultiPoint Geometrie.';
			
COMMENT ON FUNCTION ST_LineFromText(text ) IS 'args: WKT - Erzeugt eine Geometrie aus einer WKT Darstellung mit der angegebenen SRID. Wenn keine SRID angegeben wird, wird diese standardmäßig auf 0 gesetzt.';
			
COMMENT ON FUNCTION ST_LineFromText(text , integer ) IS 'args: WKT, srid - Erzeugt eine Geometrie aus einer WKT Darstellung mit der angegebenen SRID. Wenn keine SRID angegeben wird, wird diese standardmäßig auf 0 gesetzt.';
			
COMMENT ON FUNCTION ST_LineFromWKB(bytea ) IS 'args: WKB - Erzeugt einen LINESTRING mit gegebener SRID aus einer WKB-Darstellung';
			
COMMENT ON FUNCTION ST_LineFromWKB(bytea , integer ) IS 'args: WKB, srid - Erzeugt einen LINESTRING mit gegebener SRID aus einer WKB-Darstellung';
			
COMMENT ON FUNCTION ST_LinestringFromWKB(bytea ) IS 'args: WKB - Erzeugt eine Geometrie mit gegebener SRID aus einer WKB-Darstellung.';
			
COMMENT ON FUNCTION ST_LinestringFromWKB(bytea , integer ) IS 'args: WKB, srid - Erzeugt eine Geometrie mit gegebener SRID aus einer WKB-Darstellung.';
			
COMMENT ON FUNCTION ST_MakeBox2D(geometry , geometry ) IS 'args: pointLowLeft, pointUpRight - Erzeugt eine BOX2D, die durch die gegebene Punktgeometrie definiert ist.';
			
COMMENT ON FUNCTION ST_3DMakeBox(geometry , geometry ) IS 'args: point3DLowLeftBottom, point3DUpRightTop - Erzeugt eine BOX3D, die durch die gegebene 3D-Punktgeometrie definiert ist.';
			
COMMENT ON AGGREGATE ST_MakeLine(geometry) IS 'args: geoms - Erzeugt einen Linienzug aus einer Punkt-, Mehrfachpunkt- oder Liniengeometrie.';
			
COMMENT ON FUNCTION ST_MakeLine(geometry, geometry) IS 'args: geom1, geom2 - Erzeugt einen Linienzug aus einer Punkt-, Mehrfachpunkt- oder Liniengeometrie.';
			
COMMENT ON FUNCTION ST_MakeLine(geometry[]) IS 'args: geoms_array - Erzeugt einen Linienzug aus einer Punkt-, Mehrfachpunkt- oder Liniengeometrie.';
			
COMMENT ON FUNCTION ST_MakeEnvelope(double precision, double precision, double precision, double precision, integer ) IS 'args: xmin, ymin, xmax, ymax, srid=unknown - Erzeugt ein rechteckiges Polygon aus den gegebenen Minimum- und Maximumwerten. Die Eingabewerte müssen in dem Koordinatenreferenzsystem sein, welches durch die SRID angegeben wird.';
			
COMMENT ON FUNCTION ST_MakePolygon(geometry) IS 'args: linestring - Erzeugt ein Polygon, das durch die gegebene Hülle gebildet wird. Die Eingabegeometrie muss aus geschlossenen Linienzügen bestehen.';
			
COMMENT ON FUNCTION ST_MakePolygon(geometry, geometry[]) IS 'args: outerlinestring, interiorlinestrings - Erzeugt ein Polygon, das durch die gegebene Hülle gebildet wird. Die Eingabegeometrie muss aus geschlossenen Linienzügen bestehen.';
			
COMMENT ON FUNCTION ST_MakePoint(double precision, double precision) IS 'args: x, y - Creates a 2D, 3DZ or 4D point geometry.';
			
COMMENT ON FUNCTION ST_MakePoint(double precision, double precision, double precision) IS 'args: x, y, z - Creates a 2D, 3DZ or 4D point geometry.';
			
COMMENT ON FUNCTION ST_MakePoint(double precision, double precision, double precision, double precision) IS 'args: x, y, z, m - Creates a 2D, 3DZ or 4D point geometry.';
			
COMMENT ON FUNCTION ST_MakePointM(float, float, float) IS 'args: x, y, m - Erzeugt eine Punktgeometrie mit einer X-, einer Y- und einer M-Koordinate.';
			
COMMENT ON FUNCTION ST_MLineFromText(text , integer ) IS 'args: WKT, srid - Liest einen festgelegten ST_MultiLineString Wert von einer WKT-Darstellung aus.';
			
COMMENT ON FUNCTION ST_MLineFromText(text ) IS 'args: WKT - Liest einen festgelegten ST_MultiLineString Wert von einer WKT-Darstellung aus.';
			
COMMENT ON FUNCTION ST_MPointFromText(text , integer ) IS 'args: WKT, srid - Erzeugt eine Geometrie aus WKT mit der angegebenen SRID. Wenn keine SRID angegeben wird, wird diese standardmäßig auf 0 gesetzt.';
			
COMMENT ON FUNCTION ST_MPointFromText(text ) IS 'args: WKT - Erzeugt eine Geometrie aus WKT mit der angegebenen SRID. Wenn keine SRID angegeben wird, wird diese standardmäßig auf 0 gesetzt.';
			
COMMENT ON FUNCTION ST_MPolyFromText(text , integer ) IS 'args: WKT, srid - Erzeugt eine MultiPolygon Geometrie aus WKT mit der angegebenen SRID. Wenn SRID nicht angegeben ist, wird sie standardmäßig auf 0 gesetzt.';
			
COMMENT ON FUNCTION ST_MPolyFromText(text ) IS 'args: WKT - Erzeugt eine MultiPolygon Geometrie aus WKT mit der angegebenen SRID. Wenn SRID nicht angegeben ist, wird sie standardmäßig auf 0 gesetzt.';
			
COMMENT ON FUNCTION ST_Point(float , float ) IS 'args: x_lon, y_lat - Gibt einen ST_Point mit den gegebenen Koordinatenwerten aus. Ein OGC-Alias für ST_MakePoint.';
			
COMMENT ON FUNCTION ST_PointFromGeoHash(text , integer ) IS 'args: geohash, precision=full_precision_of_geohash - Gibt einen Punkt von einer GeoHash Zeichenfolge zurück.';
			
COMMENT ON FUNCTION ST_PointFromText(text ) IS 'args: WKT - Erzeugt eine Punktgeometrie mit gegebener SRID von WKT. Wenn SRID nicht angegeben ist, wird sie standardmäßig auf 0 gesetzt.';
			
COMMENT ON FUNCTION ST_PointFromText(text , integer ) IS 'args: WKT, srid - Erzeugt eine Punktgeometrie mit gegebener SRID von WKT. Wenn SRID nicht angegeben ist, wird sie standardmäßig auf 0 gesetzt.';
			
COMMENT ON FUNCTION ST_GeomFromWKB(bytea ) IS 'args: geom - Erzeugt eine Geometrie mit gegebener SRID von WKB.';
			
COMMENT ON FUNCTION ST_GeomFromWKB(bytea , integer ) IS 'args: geom, srid - Erzeugt eine Geometrie mit gegebener SRID von WKB.';
			
COMMENT ON FUNCTION ST_Polygon(geometry , integer ) IS 'args: aLineString, srid - Gibt ein Polygon zurück, das aus vorgegebenen Linienzug und SRID erzeugt wurde.';
			
COMMENT ON FUNCTION ST_PolygonFromText(text ) IS 'args: WKT - Erzeugt eine Geometrie aus WKT mit der angegebenen SRID. Wenn keine SRID angegeben wird, wird diese standardmäßig auf 0 gesetzt.';
			
COMMENT ON FUNCTION ST_PolygonFromText(text , integer ) IS 'args: WKT, srid - Erzeugt eine Geometrie aus WKT mit der angegebenen SRID. Wenn keine SRID angegeben wird, wird diese standardmäßig auf 0 gesetzt.';
			
COMMENT ON FUNCTION ST_WKBToSQL(bytea ) IS 'args: WKB - Gibt einen geometrischen Datentyp (ST_Geometry) aus einer Well-known-Binary (WKB) Darstellung zurück. Ein Synonym für ST_GeomFromWKB, welches jedoch keine SRID annimmt';
			
COMMENT ON FUNCTION ST_WKTToSQL(text ) IS 'args: WKT - Gibt einen spezifizierten ST_Geometry-Wert von einer Well-known-Text Darstellung (WKT) zurück. Die Bezeichnung ist ein Alias für ST_GeomFromText';
			
COMMENT ON FUNCTION GeometryType(geometry ) IS 'args: geomA - Gibt den Geometrietyp als Zeichenkette zurück. z.B.: LINESTRING, POLYGON, MULTIPOINT, etc.';
			
COMMENT ON FUNCTION ST_Boundary(geometry ) IS 'args: geomA - Gibt die abgeschlossene Hülle aus der kombinierten Begrenzung der Geometrie zurück.';
			
COMMENT ON FUNCTION ST_CoordDim(geometry ) IS 'args: geomA - Gibt die Dimension der Koordinaten von ST_Geometry zurück.';
			
COMMENT ON FUNCTION ST_Dimension(geometry ) IS 'args: g - Die inhärente Dimension des geometrischen Objekts muss niedriger oder gleich der Dimension der Koordinaten sein.';
			
COMMENT ON FUNCTION ST_EndPoint(geometry ) IS 'args: g - Gibt den Endpunkt einer LINESTRING oder CIRCULARLINESTRING Geometrie als POINT zurück.';
			
COMMENT ON FUNCTION ST_Envelope(geometry ) IS 'args: g1 - Gibt eine Geometrie in doppelter Genauigkeit (float8) zurück, welche das Umgebungsrechteck der beigestellten Geometrie darstellt.';
			
COMMENT ON FUNCTION ST_BoundingDiagonal(geometry , boolean ) IS 'args: geom, fits=false - Gibt die Diagonale des Umgebungsdreiecks der angegebenen Geometrie zurück.';
			
COMMENT ON FUNCTION ST_ExteriorRing(geometry ) IS 'args: a_polygon - Gibt einen Linienzug zurück, welcher den äußeren Ring der POLYGON Geometrie darstellt. Gibt NULL zurück wenn es sich bei der Geometrie um kein Polygon handelt. Funktioniert nicht mit MULTIPOLYGON';
			
COMMENT ON FUNCTION ST_GeometryN(geometry , integer ) IS 'args: geomA, n - Gibt die auf 1-basierende n-te Geometrie zurück, wenn es sich bei der Geometrie um eine GEOMETRYCOLLECTION, (MULTI)POINT, (MULTI)LINESTRING, MULTICURVE oder (MULTI)POLYGON, POLYHEDRALSURFACE handelt. Anderenfalls wird NULL zurückgegeben.';
			
COMMENT ON FUNCTION ST_GeometryType(geometry ) IS 'args: g1 - Gibt den Geometrietyp des ST_Geometry Wertes zurück.';
			
COMMENT ON FUNCTION ST_InteriorRingN(geometry , integer ) IS 'args: a_polygon, n - Gibt den Nten innenliegenden Linienzug des Ringes der Polygongeometrie zurück. Gibt NULL zurück, falls es sich bei der Geometrie nicht um ein Polygon handelt, oder sich das angegebene N außerhalb des zulässigen Bereiches befindet.';
			
COMMENT ON FUNCTION ST_IsPolygonCCW(geometry) IS 'args: geom - Gibt TRUE zurück, wenn alle äußeren Ringe gegen den Uhrzeigersinn orientiert sind und alle inneren Ringe im Uhrzeigersinn ausgerichtet sind.';
			
COMMENT ON FUNCTION ST_IsPolygonCW(geometry) IS 'args: geom - Gibt den Wert TRUE zurück, wenn alle äußeren Ringe im Uhrzeigersinn und alle inneren Ringe gegen den Uhrzeigersinn ausgerichtet sind.';
			
COMMENT ON FUNCTION ST_IsClosed(geometry ) IS 'args: g - Gibt den Wert TRUE zurück, wenn die Anfangs- und Endpunkte des LINESTRINGs zusammenfallen. Bei polyedrischen Oberflächen, wenn sie geschlossen (volumetrisch) sind.';
			
COMMENT ON FUNCTION ST_IsCollection(geometry ) IS 'args: g - Gibt den Wert TRUE zurück, wenn der Parameter eine Ansammlung/Kollektion von Geometrien ist (MULTI*, GEOMETRYCOLLECTION, ...)';
			
COMMENT ON FUNCTION ST_IsEmpty(geometry ) IS 'args: geomA - Gibt den Wert TRUE zurück, falls es sich bei der Geometrie um eine leere GeometryCollection, Polygon, Point etc. handelt.';
			
COMMENT ON FUNCTION ST_IsRing(geometry ) IS 'args: g - Gibt den Wert TRUE zurück, wenn der LINESTRING geschlossen ist und der Simple Feature Spezifikation entspricht.';
			
COMMENT ON FUNCTION ST_IsSimple(geometry ) IS 'args: geomA - Gibt den Wert (TRUE) zurück, wenn die Geometrie keine irregulären Stellen, wie Selbstüberschneidungen oder Selbstberührungen, aufweist.';
			
COMMENT ON FUNCTION ST_IsValid(geometry ) IS 'args: g - Gibt true zurück, wenn ST_Geometry wohlgeformt ist.';
			
COMMENT ON FUNCTION ST_IsValid(geometry , integer ) IS 'args: g, flags - Gibt true zurück, wenn ST_Geometry wohlgeformt ist.';
			
COMMENT ON FUNCTION ST_IsValidReason(geometry ) IS 'args: geomA - Gibt an, ob die Geometrie zulässig ist oder nicht; gibt auch die Ursache an falls nicht.';
			
COMMENT ON FUNCTION ST_IsValidReason(geometry , integer ) IS 'args: geomA, flags - Gibt an, ob die Geometrie zulässig ist oder nicht; gibt auch die Ursache an falls nicht.';
			
COMMENT ON FUNCTION ST_IsValidDetail(geometry ) IS 'args: geom - Gibt eine valid_detail (Gültigkeit, Ursache, Lage) Zeile aus, die anzeigt, ob die Geometrie gültig ist oder nicht, und falls nicht, die Ursache warum und die Lage wo dies auftritt.';
			
COMMENT ON FUNCTION ST_IsValidDetail(geometry , integer ) IS 'args: geom, flags - Gibt eine valid_detail (Gültigkeit, Ursache, Lage) Zeile aus, die anzeigt, ob die Geometrie gültig ist oder nicht, und falls nicht, die Ursache warum und die Lage wo dies auftritt.';
			
COMMENT ON FUNCTION ST_M(geometry ) IS 'args: a_point - Gibt die M-Koordinate eines Punktes, oder NULL, wenn diese nicht existiert, zurück. Bei der Eingabe muss es sich um eine Punktgeometrie handeln.';
			
COMMENT ON FUNCTION ST_NDims(geometry ) IS 'args: g1 - Gibt die Koordinatendimension der Geometrie als Small Int zurück. Der Wertebereich ist 2, 3 oder 4.';
			
COMMENT ON FUNCTION ST_NPoints(geometry ) IS 'args: g1 - Gibt die Anzahl der Punkte (Knoten) einer Geometrie zurück.';
			
COMMENT ON FUNCTION ST_NRings(geometry ) IS 'args: geomA - Wenn es sich bei der Geometrie um ein Polygon oder um ein MultiPolygon handelt, wird die Anzahl der Ringe zurückgegeben.';
			
COMMENT ON FUNCTION ST_NumGeometries(geometry ) IS 'args: geom - Wenn es sich bei der Geometrie um eine GEOMETRYCOLLECTION (oder MULTI*) handelt, wird die Anzahl der Geometrien zurückgegeben, bei Einzelgeometrien wird 1, ansonsten NULL zurückgegeben.';
			
COMMENT ON FUNCTION ST_NumInteriorRings(geometry ) IS 'args: a_polygon - Gibt die Anzahl der inneren Ringe einer Polygongeometrie aus.';
			
COMMENT ON FUNCTION ST_NumInteriorRing(geometry ) IS 'args: a_polygon - Gibt die Anzahl der inneren Ringe eines Polygons in der Geometrie aus. Ist ein Synonym für ST_NumInteriorRings.';
			
COMMENT ON FUNCTION ST_NumPatches(geometry ) IS 'args: g1 - Gibt die Anzahl der Maschen einer polyedrischen Oberfläche aus. Gibt NULL zurück, wenn es sich nicht um polyedrische Geometrien handelt.';
			
COMMENT ON FUNCTION ST_NumPoints(geometry ) IS 'args: g1 - Gibt die Anzahl der Stützpunkte eines ST_LineString oder eines ST_CircularString zurück.';
			
COMMENT ON FUNCTION ST_PatchN(geometry , integer ) IS 'args: geomA, n - Gibt die auf 1-basierende n-te Geometrie (Masche) zurück, wenn es sich bei der Geometrie um ein POLYHEDRALSURFACE, oder ein POLYHEDRALSURFACEM handelt. Anderenfalls wird NULL zurückgegeben.';
			
COMMENT ON FUNCTION ST_PointN(geometry , integer ) IS 'args: a_linestring, n - Gibt den n-ten Punkt des ersten LineStrings oder des kreisförmigen LineStringss in der Geometrie zurück. Negative Werte werden rückwärts vom Ende des LineStrings gezählt. Gibt NULL aus, wenn es sich bei der Geometrie nicht um einen LineString handelt.';
			
COMMENT ON FUNCTION ST_Points(geometry) IS 'args: geom - Gibt einen MultiPoint zurück, welcher alle Koordinaten einer Geometrie enthält.';
			
COMMENT ON FUNCTION ST_SRID(geometry ) IS 'args: g1 - Gibt den Identifikator des Koordinatenreferenzsystems, wie in der spatial_ref_sys Tabelle definiert, für die ST_Geometry aus.';
			
COMMENT ON FUNCTION ST_StartPoint(geometry ) IS 'args: geomA - Gibt den den Anfangspunkt einer LINESTRING Geometrie als POINT zurück.';
			
COMMENT ON FUNCTION ST_Summary(geometry ) IS 'args: g - Gibt eine Zusammenfassung des Inhalts einer Geometrie wieder.';
			
COMMENT ON FUNCTION ST_Summary(geography ) IS 'args: g - Gibt eine Zusammenfassung des Inhalts einer Geometrie wieder.';
			
COMMENT ON FUNCTION ST_X(geometry ) IS 'args: a_point - Gibt die X-Koordinate eines Punktes, oder NULL wenn diese nicht vorhanden ist, zurück. Die Eingabe muss ein Punkt sein.';
			
COMMENT ON FUNCTION ST_XMax(box3d ) IS 'args: aGeomorBox2DorBox3D - Gibt das größte X des Umgebungsrechtecks in 2D, 3D oder als Geometrie zurück.';
			
COMMENT ON FUNCTION ST_XMin(box3d ) IS 'args: aGeomorBox2DorBox3D - Gibt das kleinste X des Umgebungsrechtecks in 2D, 3D oder als Geometrie zurück.';
			
COMMENT ON FUNCTION ST_Y(geometry ) IS 'args: a_point - Gibt die Y-Koordinate eines Punktes, oder NULL wenn diese nicht vorhanden ist, zurück. Die Eingabe muss ein Punkt sein.';
			
COMMENT ON FUNCTION ST_YMax(box3d ) IS 'args: aGeomorBox2DorBox3D - Gibt das größte Y des Umgebungsrechtecks in 2D, 3D oder als Geometrie zurück.';
			
COMMENT ON FUNCTION ST_YMin(box3d ) IS 'args: aGeomorBox2DorBox3D - Gibt das kleinste Y des Umgebungsrechtecks in 2D, 3D oder als Geometrie zurück.';
			
COMMENT ON FUNCTION ST_Z(geometry ) IS 'args: a_point - Gibt die Z-Koordinate eines Punktes, oder NULL wenn diese nicht vorhanden ist, zurück. Die Eingabe muss ein Punkt sein.';
			
COMMENT ON FUNCTION ST_ZMax(box3d ) IS 'args: aGeomorBox2DorBox3D - Gibt das kleinste Z des Umgebungsrechtecks in 2D, 3D oder als Geometrie zurück.';
			
COMMENT ON FUNCTION ST_Zmflag(geometry ) IS 'args: geomA - Gibt die ZM (semantische Dimension) Flag der Geometrie als Small Int zurück. Die Werte sind: 0=2D, 1=3DM, 2=3DZ, 3=4D.';
			
COMMENT ON FUNCTION ST_ZMin(box3d ) IS 'args: aGeomorBox2DorBox3D - Gibt das kleinste Z des Umgebungsrechtecks in 2D, 3D oder als Geometrie zurück.';
			
COMMENT ON FUNCTION ST_AddPoint(geometry, geometry) IS 'args: linestring, point - Fügt einem Linienzug einen Punkt hinzu.';
			
COMMENT ON FUNCTION ST_AddPoint(geometry, geometry, integer) IS 'args: linestring, point, position - Fügt einem Linienzug einen Punkt hinzu.';
			
COMMENT ON FUNCTION ST_Affine(geometry , float , float , float , float , float , float , float , float , float , float , float , float ) IS 'args: geomA, a, b, c, d, e, f, g, h, i, xoff, yoff, zoff - Wendet eine affine 3D-Transformation auf die Geometrie an.';
			
COMMENT ON FUNCTION ST_Affine(geometry , float , float , float , float , float , float ) IS 'args: geomA, a, b, d, e, xoff, yoff - Wendet eine affine 3D-Transformation auf die Geometrie an.';
			
COMMENT ON FUNCTION ST_Force2D(geometry ) IS 'args: geomA - Die Geometrien in einen "2-dimensionalen Modus" zwingen.';
			
COMMENT ON FUNCTION ST_Force3D(geometry ) IS 'args: geomA - Zwingt die Geometrien in einen XYZ Modus. Dies ist ein Alias für ST_Force3DZ.';
			
COMMENT ON FUNCTION ST_Force3DZ(geometry ) IS 'args: geomA - Zwingt die Geometrien in einen XYZ Modus.';
			
COMMENT ON FUNCTION ST_Force3DM(geometry ) IS 'args: geomA - Zwingt die Geometrien in einen XYM Modus.';
			
COMMENT ON FUNCTION ST_Force4D(geometry ) IS 'args: geomA - Zwingt die Geometrien in einen XYZM Modus.';
			
COMMENT ON FUNCTION ST_ForcePolygonCCW(geometry) IS 'args: geom - Richtet alle äußeren Ringe gegen den Uhrzeigersinn und alle inneren Ringe mit dem Uhrzeigersinn aus.';
			
COMMENT ON FUNCTION ST_ForceCollection(geometry ) IS 'args: geomA - Wandelt eine Geometrie in eine GEOMETRYCOLLECTION um.';
			
COMMENT ON FUNCTION ST_ForcePolygonCW(geometry) IS 'args: geom - Richtet alle äußeren Ringe im Uhrzeigersinn und alle inneren Ringe gegen den Uhrzeigersinn aus.';
			
COMMENT ON FUNCTION ST_ForceSFS(geometry ) IS 'args: geomA - Erzwingt, dass Geometrien nur vom Typ SFS 1.1 sind.';
			
COMMENT ON FUNCTION ST_ForceSFS(geometry , text ) IS 'args: geomA, version - Erzwingt, dass Geometrien nur vom Typ SFS 1.1 sind.';
			
COMMENT ON FUNCTION ST_ForceRHR(geometry) IS 'args: g - Orientiert die Knoten in einem Polygon so, dass sie der Drei-Finger-Regel folgen.';
			
COMMENT ON FUNCTION ST_ForceCurve(geometry) IS 'args: g - Wandelt einen geometrischen in einen Kurven Datentyp um, soweit anwendbar.';
			
COMMENT ON FUNCTION ST_LineMerge(geometry ) IS 'args: amultilinestring - Gibt einen (Satz von) LineString(s) zurück, der aus einem MultiLinestring "zusammengebastelt" wird.';
			
COMMENT ON FUNCTION ST_CollectionExtract(geometry , integer ) IS 'args: collection, type - Von einer gegebenen (Sammel)Geometrie wird eine (Sammel)Geometrie zurückgegeben, welche nur die Elemente des vorgegebenen Datentyps enthält.';
			
COMMENT ON FUNCTION ST_CollectionHomogenize(geometry ) IS 'args: collection - Von einer gegebenen Sammelgeometrie wird die "einfachste" Darstellung der Inhalte zurückgegeben.';
			
COMMENT ON FUNCTION ST_Multi(geometry ) IS 'args: g1 - Gibt die Geometrie als MULTI* Geometrie zurück.';
			
COMMENT ON FUNCTION ST_Normalize(geometry ) IS 'args: geom - Gibt die Geometrie in Normalform zurück.';
			
COMMENT ON FUNCTION ST_QuantizeCoordinates(geometry, int, int, int, int) IS 'args: g, prec_x, prec_y, prec_z, prec_m - Sets least significant bits of coordinates to zero';
			
COMMENT ON FUNCTION ST_RemovePoint(geometry, integer) IS 'args: linestring, offset - Entfernt einen Punkt aus einem Linienzug.';
			
COMMENT ON FUNCTION ST_Reverse(geometry ) IS 'args: g1 - Gibt die Geometrie in umgekehrter Knotenreihenfolge zurück.';
			
COMMENT ON FUNCTION ST_Rotate(geometry, float) IS 'args: geomA, rotRadians - Dreht die Geometrie um rotRadians gegen den Uhrzeigersinn um ein Zentrum.';
			
COMMENT ON FUNCTION ST_Rotate(geometry, float, float, float) IS 'args: geomA, rotRadians, x0, y0 - Dreht die Geometrie um rotRadians gegen den Uhrzeigersinn um ein Zentrum.';
			
COMMENT ON FUNCTION ST_Rotate(geometry, float, geometry) IS 'args: geomA, rotRadians, pointOrigin - Dreht die Geometrie um rotRadians gegen den Uhrzeigersinn um ein Zentrum.';
			
COMMENT ON FUNCTION ST_RotateX(geometry, float) IS 'args: geomA, rotRadians - Dreht eine Geometrie um rotRadians um die X-Achse.';
			
COMMENT ON FUNCTION ST_RotateY(geometry, float) IS 'args: geomA, rotRadians - Dreht eine Geometrie um rotRadians um die Y-Achse.';
			
COMMENT ON FUNCTION ST_RotateZ(geometry, float) IS 'args: geomA, rotRadians - Dreht eine Geometrie um rotRadians um die Z-Achse.';
			
COMMENT ON FUNCTION ST_Scale(geometry , float, float, float) IS 'args: geomA, XFactor, YFactor, ZFactor - Skaliert eine Geometrie anhand der gegebenen Faktoren.';
			
COMMENT ON FUNCTION ST_Scale(geometry , float, float) IS 'args: geomA, XFactor, YFactor - Skaliert eine Geometrie anhand der gegebenen Faktoren.';
			
COMMENT ON FUNCTION ST_Scale(geometry , geometry) IS 'args: geom, factor - Skaliert eine Geometrie anhand der gegebenen Faktoren.';
			
COMMENT ON FUNCTION ST_Scale(geometry , geometry, geometry) IS 'args: geom, factor, origin - Skaliert eine Geometrie anhand der gegebenen Faktoren.';
			
COMMENT ON FUNCTION ST_Segmentize(geometry , float ) IS 'args: geom, max_segment_length - Gibt eine veränderte Geometrie/Geographie zurück, bei der kein Sement länger als der gegebene Abstand ist.';
			
COMMENT ON FUNCTION ST_Segmentize(geography , float ) IS 'args: geog, max_segment_length - Gibt eine veränderte Geometrie/Geographie zurück, bei der kein Sement länger als der gegebene Abstand ist.';
			
COMMENT ON FUNCTION ST_SetPoint(geometry, integer, geometry) IS 'args: linestring, zerobasedposition, point - Einen Punkt eines Linienzuges durch einen gegebenen Punkt ersetzen.';
			
COMMENT ON FUNCTION ST_SetSRID(geometry , integer ) IS 'args: geom, srid - Weist der SRID einer Geometrie einen bestimmten Ganzzahlwert zu.';
			
COMMENT ON FUNCTION ST_SnapToGrid(geometry , float , float , float , float ) IS 'args: geomA, originX, originY, sizeX, sizeY - Fängt alle Punkte der Eingabegeometrie auf einem regelmäßigen Gitter.';
			
COMMENT ON FUNCTION ST_SnapToGrid(geometry , float , float ) IS 'args: geomA, sizeX, sizeY - Fängt alle Punkte der Eingabegeometrie auf einem regelmäßigen Gitter.';
			
COMMENT ON FUNCTION ST_SnapToGrid(geometry , float ) IS 'args: geomA, size - Fängt alle Punkte der Eingabegeometrie auf einem regelmäßigen Gitter.';
			
COMMENT ON FUNCTION ST_SnapToGrid(geometry , geometry , float , float , float , float ) IS 'args: geomA, pointOrigin, sizeX, sizeY, sizeZ, sizeM - Fängt alle Punkte der Eingabegeometrie auf einem regelmäßigen Gitter.';
			
COMMENT ON FUNCTION ST_Snap(geometry , geometry , float ) IS 'args: input, reference, tolerance - Fängt die Segmente und Knoten einer Eingabegeometrie an den Knoten einer Referenzgeometrie.';
			
COMMENT ON FUNCTION ST_Transform(geometry , integer ) IS 'args: g1, srid - Gibt eine neue Geometrie zurück, wobei eine Koordinatentransformation in ein anderes räumliches Bezugsystem durchgeführt wird.';
			
COMMENT ON FUNCTION ST_Transform(geometry , text ) IS 'args: geom, to_proj - Gibt eine neue Geometrie zurück, wobei eine Koordinatentransformation in ein anderes räumliches Bezugsystem durchgeführt wird.';
			
COMMENT ON FUNCTION ST_Transform(geometry , text , text ) IS 'args: geom, from_proj, to_proj - Gibt eine neue Geometrie zurück, wobei eine Koordinatentransformation in ein anderes räumliches Bezugsystem durchgeführt wird.';
			
COMMENT ON FUNCTION ST_Transform(geometry , text , integer ) IS 'args: geom, from_proj, to_srid - Gibt eine neue Geometrie zurück, wobei eine Koordinatentransformation in ein anderes räumliches Bezugsystem durchgeführt wird.';
			
COMMENT ON FUNCTION ST_Translate(geometry , float , float ) IS 'args: g1, deltax, deltay - Verschiebt eine Geometrie um die angegebenen Versätze.';
			
COMMENT ON FUNCTION ST_Translate(geometry , float , float , float ) IS 'args: g1, deltax, deltay, deltaz - Verschiebt eine Geometrie um die angegebenen Versätze.';
			
COMMENT ON FUNCTION ST_TransScale(geometry , float, float, float, float) IS 'args: geomA, deltaX, deltaY, XFactor, YFactor - Umwandlung einer Geometrie entsprechend den gegebenen Skalierungsfaktoren und Versätzen.';
			
COMMENT ON FUNCTION ST_AsBinary(geometry ) IS 'args: g1 - Gibt die Well-known-Binary(WKB)-Darstellung der Geometrie/Geographie ohne die SRID Metadaten zurück.';
			
COMMENT ON FUNCTION ST_AsBinary(geometry , text ) IS 'args: g1, NDR_or_XDR - Gibt die Well-known-Binary(WKB)-Darstellung der Geometrie/Geographie ohne die SRID Metadaten zurück.';
			
COMMENT ON FUNCTION ST_AsBinary(geography ) IS 'args: g1 - Gibt die Well-known-Binary(WKB)-Darstellung der Geometrie/Geographie ohne die SRID Metadaten zurück.';
			
COMMENT ON FUNCTION ST_AsBinary(geography , text ) IS 'args: g1, NDR_or_XDR - Gibt die Well-known-Binary(WKB)-Darstellung der Geometrie/Geographie ohne die SRID Metadaten zurück.';
			
COMMENT ON FUNCTION ST_AsEncodedPolyline(geometry, integer ) IS 'args: geom, precision=5 - Erzeugt eine codierte Polylinie aus einer LineString Geometrie.';
			
COMMENT ON FUNCTION ST_AsEWKB(geometry ) IS 'args: g1 - Gibt die Well-known-Binary(WKB)-Darstellung der Geometrie mit den SRID Metadaten zurück.';
			
COMMENT ON FUNCTION ST_AsEWKB(geometry , text ) IS 'args: g1, NDR_or_XDR - Gibt die Well-known-Binary(WKB)-Darstellung der Geometrie mit den SRID Metadaten zurück.';
			
COMMENT ON FUNCTION ST_AsEWKT(geometry ) IS 'args: g1 - Gibt die Well-known-Text(WKT) Darstellung der Geometrie mit den SRID-Metadaten zurück.';
			
COMMENT ON FUNCTION ST_AsEWKT(geography ) IS 'args: g1 - Gibt die Well-known-Text(WKT) Darstellung der Geometrie mit den SRID-Metadaten zurück.';
			
COMMENT ON FUNCTION ST_AsGeoJSON(geometry , integer , integer ) IS 'args: geom, maxdecimaldigits=15, options=0 - Gibt die Geometrie eines GeoJSON Elements zurück.';
			
COMMENT ON FUNCTION ST_AsGeoJSON(geography , integer , integer ) IS 'args: geog, maxdecimaldigits=15, options=0 - Gibt die Geometrie eines GeoJSON Elements zurück.';
			
COMMENT ON FUNCTION ST_AsGeoJSON(integer , geometry , integer , integer ) IS 'args: gj_version, geom, maxdecimaldigits=15, options=0 - Gibt die Geometrie eines GeoJSON Elements zurück.';
			
COMMENT ON FUNCTION ST_AsGeoJSON(integer , geography , integer , integer ) IS 'args: gj_version, geog, maxdecimaldigits=15, options=0 - Gibt die Geometrie eines GeoJSON Elements zurück.';
			
COMMENT ON FUNCTION ST_AsGML(geometry , integer , integer ) IS 'args: geom, maxdecimaldigits=15, options=0 - Gibt die Geometrie als GML-Element - Version 2 oder 3 - zurück.';
			
COMMENT ON FUNCTION ST_AsGML(geography , integer , integer ) IS 'args: geog, maxdecimaldigits=15, options=0 - Gibt die Geometrie als GML-Element - Version 2 oder 3 - zurück.';
			
COMMENT ON FUNCTION ST_AsGML(integer , geometry , integer , integer , text , text ) IS 'args: version, geom, maxdecimaldigits=15, options=0, nprefix=null, id=null - Gibt die Geometrie als GML-Element - Version 2 oder 3 - zurück.';
			
COMMENT ON FUNCTION ST_AsGML(integer , geography , integer , integer , text , text ) IS 'args: version, geog, maxdecimaldigits=15, options=0, nprefix=null, id=null - Gibt die Geometrie als GML-Element - Version 2 oder 3 - zurück.';
			
COMMENT ON FUNCTION ST_AsHEXEWKB(geometry , text ) IS 'args: g1, NDRorXDR - Gibt eine Geometrie im HEXEWKB Format (als Text) aus; verwendet entweder die Little-Endian (NDR) oder die Big-Endian (XDR) Zeichenkodierung.';
			
COMMENT ON FUNCTION ST_AsHEXEWKB(geometry ) IS 'args: g1 - Gibt eine Geometrie im HEXEWKB Format (als Text) aus; verwendet entweder die Little-Endian (NDR) oder die Big-Endian (XDR) Zeichenkodierung.';
			
COMMENT ON FUNCTION ST_AsKML(geometry , integer ) IS 'args: geom, maxdecimaldigits=15 - Return the geometry as a KML element. Several variants. Default version=2, default maxdecimaldigits=15';
			
COMMENT ON FUNCTION ST_AsKML(geography , integer ) IS 'args: geog, maxdecimaldigits=15 - Return the geometry as a KML element. Several variants. Default version=2, default maxdecimaldigits=15';
			
COMMENT ON FUNCTION ST_AsKML(integer , geometry , integer , text ) IS 'args: version, geom, maxdecimaldigits=15, nprefix=NULL - Return the geometry as a KML element. Several variants. Default version=2, default maxdecimaldigits=15';
			
COMMENT ON FUNCTION ST_AsKML(integer , geography , integer , text ) IS 'args: version, geog, maxdecimaldigits=15, nprefix=NULL - Return the geometry as a KML element. Several variants. Default version=2, default maxdecimaldigits=15';
			
COMMENT ON FUNCTION ST_AsLatLonText(geometry , text ) IS 'args: pt, format='' - Gibt die "Grad, Minuten, Sekunden"-Darstellung für den angegebenen Punkt aus.';
			
COMMENT ON FUNCTION ST_AsSVG(geometry , integer , integer ) IS 'args: geom, rel=0, maxdecimaldigits=15 - Gibt ein Geoobjekt als SVG-Pfadgeometrie zurück. Unterstützt den geometrischen und den geographischen Datentyp.';
			
COMMENT ON FUNCTION ST_AsSVG(geography , integer , integer ) IS 'args: geog, rel=0, maxdecimaldigits=15 - Gibt ein Geoobjekt als SVG-Pfadgeometrie zurück. Unterstützt den geometrischen und den geographischen Datentyp.';
			
COMMENT ON FUNCTION ST_AsText(geometry ) IS 'args: g1 - Gibt die Well-known-Text(WKT) Darstellung der Geometrie/Geographie ohne die SRID Metadaten zurück.';
			
COMMENT ON FUNCTION ST_AsText(geometry , integer ) IS 'args: g1, maxdecimaldigits=15 - Gibt die Well-known-Text(WKT) Darstellung der Geometrie/Geographie ohne die SRID Metadaten zurück.';
			
COMMENT ON FUNCTION ST_AsText(geography ) IS 'args: g1 - Gibt die Well-known-Text(WKT) Darstellung der Geometrie/Geographie ohne die SRID Metadaten zurück.';
			
COMMENT ON FUNCTION ST_AsText(geography , integer ) IS 'args: g1, maxdecimaldigits=15 - Gibt die Well-known-Text(WKT) Darstellung der Geometrie/Geographie ohne die SRID Metadaten zurück.';
			
COMMENT ON FUNCTION ST_AsTWKB(geometry , integer , integer , integer , boolean , boolean ) IS 'args: g1, decimaldigits_xy=0, decimaldigits_z=0, decimaldigits_m=0, include_sizes=false, include_bounding boxes=false - Gibt die Geometrie als TWKB, aka "Tiny Well-known Binary" zurück';
			
COMMENT ON FUNCTION ST_AsTWKB(geometry[] , bigint[] , integer , integer , integer , boolean , boolean ) IS 'args: geometries, unique_ids, decimaldigits_xy=0, decimaldigits_z=0, decimaldigits_m=0, include_sizes=false, include_bounding_boxes=false - Gibt die Geometrie als TWKB, aka "Tiny Well-known Binary" zurück';
			
COMMENT ON FUNCTION ST_AsX3D(geometry , integer , integer ) IS 'args: g1, maxdecimaldigits=15, options=0 - Gibt eine Geometrie im X3D XML Knotenelement-Format zurück: ISO-IEC-19776-1.2-X3DEncodings-XML';
			
COMMENT ON FUNCTION ST_GeoHash(geometry , integer ) IS 'args: geom, maxchars=full_precision_of_point - Gibt die Geometrie in der GeoHash Darstellung aus.';
			
COMMENT ON AGGREGATE ST_AsGeobuf(anyelement) IS 'args: row - Gibt eine Menge an Zeilen in der Geobuf Darstellung aus.';
			
COMMENT ON FUNCTION ST_AsGeobuf(anyelement , text ) IS 'args: row, geom_name - Gibt eine Menge an Zeilen in der Geobuf Darstellung aus.';
			
COMMENT ON FUNCTION ST_AsMVTGeom(geometry , box2d , integer , integer , boolean ) IS 'args: geom, bounds, extent=4096, buffer=256, clip_geom=true - Transformiert eine Geometrie in das Koordinatensystem eines Mapbox Vector Tiles.';
			
COMMENT ON AGGREGATE ST_AsMVT(anyelement) IS 'args: row - Gibt Zeilen in der Mapbox Vector Tile Darstellung aus.';
			
COMMENT ON FUNCTION ST_AsMVT(anyelement , text ) IS 'args: row, name - Gibt Zeilen in der Mapbox Vector Tile Darstellung aus.';
			
COMMENT ON FUNCTION ST_AsMVT(anyelement , text , integer ) IS 'args: row, name, extent - Gibt Zeilen in der Mapbox Vector Tile Darstellung aus.';
			
COMMENT ON FUNCTION ST_AsMVT(anyelement , text , integer , text ) IS 'args: row, name, extent, geom_name - Gibt Zeilen in der Mapbox Vector Tile Darstellung aus.';
			
COMMENT ON FUNCTION ST_3DClosestPoint(geometry , geometry ) IS 'args: g1, g2 - Returns the 3-dimensional point on g1 that is closest to g2. This is the first point of the 3D shortest line.';
			
COMMENT ON FUNCTION ST_3DDistance(geometry , geometry ) IS 'args: g1, g2 - For geometry type Returns the 3-dimensional cartesian minimum distance (based on spatial ref) between two geometries in projected units.';
			
COMMENT ON FUNCTION ST_3DDWithin(geometry , geometry , double precision ) IS 'args: g1, g2, distance_of_srid - For 3d (z) geometry type Returns true if two geometries 3d distance is within number of units.';
			
COMMENT ON FUNCTION ST_3DDFullyWithin(geometry , geometry , double precision ) IS 'args: g1, g2, distance - Returns true if all of the 3D geometries are within the specified distance of one another.';
			
COMMENT ON FUNCTION ST_3DIntersects(geometry, geometry) IS 'args: geomA, geomB - Returns TRUE if the Geometries "spatially intersect" in 3d - only for points, linestrings, polygons, polyhedral surface (area). With SFCGAL backend enabled also supports TINS';
			
COMMENT ON FUNCTION ST_3DLongestLine(geometry , geometry ) IS 'args: g1, g2 - Returns the 3-dimensional longest line between two geometries';
			
COMMENT ON FUNCTION ST_3DMaxDistance(geometry , geometry ) IS 'args: g1, g2 - For geometry type Returns the 3-dimensional cartesian maximum distance (based on spatial ref) between two geometries in projected units.';
			
COMMENT ON FUNCTION ST_3DShortestLine(geometry , geometry ) IS 'args: g1, g2 - Gibt die 3-dimensionale kürzeste Strecke zwischen zwei Geometrien zurück';
			
COMMENT ON FUNCTION ST_Area(geometry ) IS 'args: g1 - Returns the area of the surface if it is a Polygon or MultiPolygon. For geometry, a 2D Cartesian area is determined with units specified by the SRID. For geography, area is determined on a curved surface with units in square meters.';
			
COMMENT ON FUNCTION ST_Area(geography , boolean ) IS 'args: geog, use_spheroid=true - Returns the area of the surface if it is a Polygon or MultiPolygon. For geometry, a 2D Cartesian area is determined with units specified by the SRID. For geography, area is determined on a curved surface with units in square meters.';
			
COMMENT ON FUNCTION ST_Azimuth(geometry , geometry ) IS 'args: pointA, pointB - Returns the north-based azimuth as the angle in radians measured clockwise from the vertical on pointA to pointB.';
			
COMMENT ON FUNCTION ST_Azimuth(geography , geography ) IS 'args: pointA, pointB - Returns the north-based azimuth as the angle in radians measured clockwise from the vertical on pointA to pointB.';
			
COMMENT ON FUNCTION ST_Angle(geometry , geometry , geometry , geometry ) IS 'args: point1, point2, point3, point4 - Returns the angle between 3 points, or between 2 vectors (4 points or 2 lines).';
			
COMMENT ON FUNCTION ST_Angle(geometry , geometry ) IS 'args: line1, line2 - Returns the angle between 3 points, or between 2 vectors (4 points or 2 lines).';
			
COMMENT ON FUNCTION ST_Centroid(geometry ) IS 'args: g1 - Gibt den geometrischen Schwerpunkt der Geometrie zurück.';
			
COMMENT ON FUNCTION ST_Centroid(geography , boolean ) IS 'args: g1, use_spheroid=true - Gibt den geometrischen Schwerpunkt der Geometrie zurück.';
			
COMMENT ON FUNCTION ST_ClosestPoint(geometry , geometry ) IS 'args: g1, g2 - Returns the 2-dimensional point on g1 that is closest to g2. This is the first point of the shortest line.';
			
COMMENT ON FUNCTION ST_ClusterDBSCAN(geometry, float8 , integer ) IS 'args: geom, eps, minpoints - Windowing function that returns integer id for the cluster each input geometry is in based on 2D implementation of Density-based spatial clustering of applications with noise (DBSCAN) algorithm.';
			
COMMENT ON AGGREGATE ST_ClusterIntersecting(geometry) IS 'args: g - Aggregate. Returns an array with the connected components of a set of geometries';
			
COMMENT ON FUNCTION ST_ClusterKMeans(geometry, integer ) IS 'args: geom, number_of_clusters - Windowing function that returns integer id for the cluster each input geometry is in.';
			
COMMENT ON AGGREGATE ST_ClusterWithin(geometry, float8 ) IS 'args: g, distance - Aggregate. Returns an array of GeometryCollections, where each GeometryCollection represents a set of geometries separated by no more than the specified distance.';
			
COMMENT ON FUNCTION ST_Contains(geometry , geometry ) IS 'args: geomA, geomB - Returns true if and only if no points of B lie in the exterior of A, and at least one point of the interior of B lies in the interior of A.';
			
COMMENT ON FUNCTION ST_ContainsProperly(geometry , geometry ) IS 'args: geomA, geomB - Returns true if B intersects the interior of A but not the boundary (or exterior). A does not contain properly itself, but does contain itself.';
			
COMMENT ON FUNCTION ST_Covers(geometry , geometry ) IS 'args: geomA, geomB - Gibt 1 (TRUE) zurück, falls kein Punkt der Geometrie B außerhalb von Geometry A liegt';
			
COMMENT ON FUNCTION ST_Covers(geography , geography ) IS 'args: geogpolyA, geogpointB - Gibt 1 (TRUE) zurück, falls kein Punkt der Geometrie B außerhalb von Geometry A liegt';
			
COMMENT ON FUNCTION ST_CoveredBy(geometry , geometry ) IS 'args: geomA, geomB - Gibt 1 (TRUE) zurück, falls kein Punkt der Geometrie/Geographie A außerhalb von Geometry/Geographie B liegt';
			
COMMENT ON FUNCTION ST_CoveredBy(geography , geography ) IS 'args: geogA, geogB - Gibt 1 (TRUE) zurück, falls kein Punkt der Geometrie/Geographie A außerhalb von Geometry/Geographie B liegt';
			
COMMENT ON FUNCTION ST_Crosses(geometry , geometry ) IS 'args: g1, g2 - Returns TRUE if the supplied geometries have some, but not all, interior points in common.';
			
COMMENT ON FUNCTION ST_LineCrossingDirection(geometry , geometry ) IS 'args: linestringA, linestringB - Given 2 linestrings, returns a number between -3 and 3 denoting what kind of crossing behavior. 0 is no crossing.';
			
COMMENT ON FUNCTION ST_Disjoint(geometry, geometry) IS 'args: A, B - Gibt TRUE zurück, wenn sich die Geometrien nicht "räumlich schneiden" - wenn sie sich keinen gemeinsamen Raum teilen';
			
COMMENT ON FUNCTION ST_Distance(geometry , geometry ) IS 'args: g1, g2 - For geometry type returns the 2D Cartesian distance between two geometries in projected units (based on spatial reference system). For geography type defaults to return minimum geodesic distance between two geographies in meters.';
			
COMMENT ON FUNCTION ST_Distance(geography , geography ) IS 'args: gg1, gg2 - For geometry type returns the 2D Cartesian distance between two geometries in projected units (based on spatial reference system). For geography type defaults to return minimum geodesic distance between two geographies in meters.';
			
COMMENT ON FUNCTION ST_Distance(geography , geography , boolean ) IS 'args: gg1, gg2, use_spheroid - For geometry type returns the 2D Cartesian distance between two geometries in projected units (based on spatial reference system). For geography type defaults to return minimum geodesic distance between two geographies in meters.';
			
COMMENT ON FUNCTION ST_MinimumClearance(geometry ) IS 'args: g - Returns the minimum clearance of a geometry, a measure of a geometrys robustness.';
			
COMMENT ON FUNCTION ST_MinimumClearanceLine(geometry ) IS 'args: g - Returns the two-point LineString spanning a geometrys minimum clearance.';
			
COMMENT ON FUNCTION ST_HausdorffDistance(geometry , geometry ) IS 'args: g1, g2 - Returns the Hausdorff distance between two geometries. Basically a measure of how similar or dissimilar 2 geometries are. Units are in the units of the spatial reference system of the geometries.';
			
COMMENT ON FUNCTION ST_HausdorffDistance(geometry , geometry , float) IS 'args: g1, g2, densifyFrac - Returns the Hausdorff distance between two geometries. Basically a measure of how similar or dissimilar 2 geometries are. Units are in the units of the spatial reference system of the geometries.';
			
COMMENT ON FUNCTION ST_FrechetDistance(geometry , geometry , float) IS 'args: g1, g2, densifyFrac = -1 - Returns the Fréchet distance between two geometries. This is a measure of similarity between curves that takes into account the location and ordering of the points along the curves. Units are in the units of the spatial reference system of the geometries.';
			
COMMENT ON FUNCTION ST_MaxDistance(geometry , geometry ) IS 'args: g1, g2 - Returns the 2-dimensional largest distance between two geometries in projected units.';
			
COMMENT ON FUNCTION ST_DistanceSphere(geometry , geometry ) IS 'args: geomlonlatA, geomlonlatB - Returns minimum distance in meters between two lon/lat geometries. Uses a spherical earth and radius derived from the spheroid defined by the SRID. Faster than ST_DistanceSpheroid , but less accurate. PostGIS versions prior to 1.5 only implemented for points.';
			
COMMENT ON FUNCTION ST_DistanceSpheroid(geometry , geometry , spheroid ) IS 'args: geomlonlatA, geomlonlatB, measurement_spheroid - Returns the minimum distance between two lon/lat geometries given a particular spheroid. PostGIS versions prior to 1.5 only support points.';
			
COMMENT ON FUNCTION ST_DFullyWithin(geometry , geometry , double precision ) IS 'args: g1, g2, distance - Returns true if all of the geometries are within the specified distance of one another';
			
COMMENT ON FUNCTION ST_DWithin(geometry , geometry , double precision ) IS 'args: g1, g2, distance_of_srid - Returns true if the geometries are within the specified distance of one another. For geometry units are in those of spatial reference and for geography units are in meters and measurement is defaulted to use_spheroid=true (measure around spheroid), for faster check, use_spheroid=false to measure along sphere.';
			
COMMENT ON FUNCTION ST_DWithin(geography , geography , double precision ) IS 'args: gg1, gg2, distance_meters - Returns true if the geometries are within the specified distance of one another. For geometry units are in those of spatial reference and for geography units are in meters and measurement is defaulted to use_spheroid=true (measure around spheroid), for faster check, use_spheroid=false to measure along sphere.';
			
COMMENT ON FUNCTION ST_DWithin(geography , geography , double precision , boolean ) IS 'args: gg1, gg2, distance_meters, use_spheroid - Returns true if the geometries are within the specified distance of one another. For geometry units are in those of spatial reference and for geography units are in meters and measurement is defaulted to use_spheroid=true (measure around spheroid), for faster check, use_spheroid=false to measure along sphere.';
			
COMMENT ON FUNCTION ST_Equals(geometry , geometry ) IS 'args: A, B - Returns true if the given geometries represent the same geometry. Directionality is ignored.';
			
COMMENT ON FUNCTION  ST_GeometricMedian ( geometry ,  float8 ,  int ,  boolean ) IS 'args:  g ,  tolerance ,  max_iter ,  fail_if_not_converged  - Returns the geometric median of a MultiPoint.';
			
COMMENT ON FUNCTION ST_HasArc(geometry ) IS 'args: geomA - Returns true if a geometry or geometry collection contains a circular string';
			
COMMENT ON FUNCTION ST_Intersects(geometry, geometry) IS 'args: geomA, geomB - Returns TRUE if the Geometries/Geography "spatially intersect in 2D" - (share any portion of space) and FALSE if they dont (they are Disjoint). For geography -- tolerance is 0.00001 meters (so any points that close are considered to intersect)';
			
COMMENT ON FUNCTION ST_Intersects(geography, geography) IS 'args: geogA, geogB - Returns TRUE if the Geometries/Geography "spatially intersect in 2D" - (share any portion of space) and FALSE if they dont (they are Disjoint). For geography -- tolerance is 0.00001 meters (so any points that close are considered to intersect)';
			
COMMENT ON FUNCTION ST_Length(geometry ) IS 'args: a_2dlinestring - Returns the 2D length of the geometry if it is a LineString or MultiLineString. geometry are in units of spatial reference and geography are in meters (default spheroid)';
			
COMMENT ON FUNCTION ST_Length(geography , boolean ) IS 'args: geog, use_spheroid=true - Returns the 2D length of the geometry if it is a LineString or MultiLineString. geometry are in units of spatial reference and geography are in meters (default spheroid)';
			
COMMENT ON FUNCTION ST_Length2D(geometry ) IS 'args: a_2dlinestring - Returns the 2-dimensional length of the geometry if it is a linestring or multi-linestring. This is an alias for ST_Length';
			
COMMENT ON FUNCTION ST_3DLength(geometry ) IS 'args: a_3dlinestring - Returns the 3-dimensional or 2-dimensional length of the geometry if it is a linestring or multi-linestring.';
			
COMMENT ON FUNCTION ST_LengthSpheroid(geometry , spheroid ) IS 'args: a_geometry, a_spheroid - Calculates the 2D or 3D length/perimeter of a geometry on an ellipsoid. This is useful if the coordinates of the geometry are in longitude/latitude and a length is desired without reprojection.';
			
COMMENT ON FUNCTION ST_Length2D_Spheroid(geometry , spheroid ) IS 'args: a_geometry, a_spheroid - Calculates the 2D length/perimeter of a geometry on an ellipsoid. This is useful if the coordinates of the geometry are in longitude/latitude and a length is desired without reprojection.';
			
COMMENT ON FUNCTION ST_LongestLine(geometry , geometry ) IS 'args: g1, g2 - Returns the 2-dimensional longest line points of two geometries. The function will only return the first longest line if more than one, that the function finds. The line returned will always start in g1 and end in g2. The length of the line this function returns will always be the same as st_maxdistance returns for g1 and g2.';
			
COMMENT ON FUNCTION ST_OrderingEquals(geometry , geometry ) IS 'args: A, B - Returns true if the given geometries represent the same geometry and points are in the same directional order.';
			
COMMENT ON FUNCTION ST_Overlaps(geometry , geometry ) IS 'args: A, B - Returns TRUE if the Geometries share space, are of the same dimension, but are not completely contained by each other.';
			
COMMENT ON FUNCTION ST_Perimeter(geometry ) IS 'args: g1 - Return the length measurement of the boundary of an ST_Surface or ST_MultiSurface geometry or geography. (Polygon, MultiPolygon). geometry measurement is in units of spatial reference and geography is in meters.';
			
COMMENT ON FUNCTION ST_Perimeter(geography , boolean ) IS 'args: geog, use_spheroid=true - Return the length measurement of the boundary of an ST_Surface or ST_MultiSurface geometry or geography. (Polygon, MultiPolygon). geometry measurement is in units of spatial reference and geography is in meters.';
			
COMMENT ON FUNCTION ST_Perimeter2D(geometry ) IS 'args: geomA - Returns the 2-dimensional perimeter of the geometry, if it is a polygon or multi-polygon. This is currently an alias for ST_Perimeter.';
			
COMMENT ON FUNCTION ST_3DPerimeter(geometry ) IS 'args: geomA - Returns the 3-dimensional perimeter of the geometry, if it is a polygon or multi-polygon.';
			
COMMENT ON FUNCTION ST_PointOnSurface(geometry ) IS 'args: g1 - Returns a POINT guaranteed to lie on the surface.';
			
COMMENT ON FUNCTION ST_Project(geography , float , float ) IS 'args: g1, distance, azimuth - Returns a POINT projected from a start point using a distance in meters and bearing (azimuth) in radians.';
			
COMMENT ON FUNCTION ST_Relate(geometry , geometry , text ) IS 'args: geomA, geomB, intersectionMatrixPattern - Returns true if this Geometry is spatially related to anotherGeometry, by testing for intersections between the Interior, Boundary and Exterior of the two geometries as specified by the values in the intersectionMatrixPattern. If no intersectionMatrixPattern is passed in, then returns the maximum intersectionMatrixPattern that relates the 2 geometries.';
			
COMMENT ON FUNCTION ST_Relate(geometry , geometry ) IS 'args: geomA, geomB - Returns true if this Geometry is spatially related to anotherGeometry, by testing for intersections between the Interior, Boundary and Exterior of the two geometries as specified by the values in the intersectionMatrixPattern. If no intersectionMatrixPattern is passed in, then returns the maximum intersectionMatrixPattern that relates the 2 geometries.';
			
COMMENT ON FUNCTION ST_Relate(geometry , geometry , integer ) IS 'args: geomA, geomB, BoundaryNodeRule - Returns true if this Geometry is spatially related to anotherGeometry, by testing for intersections between the Interior, Boundary and Exterior of the two geometries as specified by the values in the intersectionMatrixPattern. If no intersectionMatrixPattern is passed in, then returns the maximum intersectionMatrixPattern that relates the 2 geometries.';
			
COMMENT ON FUNCTION ST_RelateMatch(text , text ) IS 'args: intersectionMatrix, intersectionMatrixPattern - Returns true if intersectionMattrixPattern1 implies intersectionMatrixPattern2';
			
COMMENT ON FUNCTION ST_ShortestLine(geometry , geometry ) IS 'args: g1, g2 - Gibt die 2-dimenionale kürzeste Strecke zwischen zwei Geometrien als Linie zurück';
			
COMMENT ON FUNCTION ST_Touches(geometry , geometry ) IS 'args: g1, g2 - Returns TRUE if the geometries have at least one point in common, but their interiors do not intersect.';
			
COMMENT ON FUNCTION ST_Within(geometry , geometry ) IS 'args: A, B - Gibt TRUE zurück, wenn Geometrie A zur Gänze innerhalb von Geometrie B liegt';
			
COMMENT ON FUNCTION ST_Buffer(geometry , float ) IS 'args: g1, radius_of_buffer - (T) Gibt eine Geometrie zurück, welche alle Punkte innerhalb einer gegebenen Entfernung von der Eingabegeometrie beinhaltet.';
			
COMMENT ON FUNCTION ST_Buffer(geometry , float , integer ) IS 'args: g1, radius_of_buffer, num_seg_quarter_circle - (T) Gibt eine Geometrie zurück, welche alle Punkte innerhalb einer gegebenen Entfernung von der Eingabegeometrie beinhaltet.';
			
COMMENT ON FUNCTION ST_Buffer(geometry , float , text ) IS 'args: g1, radius_of_buffer, buffer_style_parameters - (T) Gibt eine Geometrie zurück, welche alle Punkte innerhalb einer gegebenen Entfernung von der Eingabegeometrie beinhaltet.';
			
COMMENT ON FUNCTION ST_Buffer(geography , float ) IS 'args: g1, radius_of_buffer_in_meters - (T) Gibt eine Geometrie zurück, welche alle Punkte innerhalb einer gegebenen Entfernung von der Eingabegeometrie beinhaltet.';
			
COMMENT ON FUNCTION ST_Buffer(geography , float , integer ) IS 'args: g1, radius_of_buffer, num_seg_quarter_circle - (T) Gibt eine Geometrie zurück, welche alle Punkte innerhalb einer gegebenen Entfernung von der Eingabegeometrie beinhaltet.';
			
COMMENT ON FUNCTION ST_Buffer(geography , float , text ) IS 'args: g1, radius_of_buffer, buffer_style_parameters - (T) Gibt eine Geometrie zurück, welche alle Punkte innerhalb einer gegebenen Entfernung von der Eingabegeometrie beinhaltet.';
			
COMMENT ON FUNCTION ST_BuildArea(geometry ) IS 'args: A - Erzeugt eine Flächengeometrie aus den einzelnen Linien einer gegebenen Geometrie';
			
COMMENT ON FUNCTION ST_ClipByBox2D(geometry, box2d) IS 'args: geom, box - Gibt jenen Teil der Geometrie zurück, der innerhalb eines Rechteckes liegt.';
			
COMMENT ON AGGREGATE ST_Collect(geometry) IS 'args: g1field - Gibt einen festgelegten ST_Geometry Wert aus einer Sammlung anderer Geometrien zurück.';
			
COMMENT ON FUNCTION ST_Collect(geometry, geometry) IS 'args: g1, g2 - Gibt einen festgelegten ST_Geometry Wert aus einer Sammlung anderer Geometrien zurück.';
			
COMMENT ON FUNCTION ST_Collect(geometry[]) IS 'args: g1_array - Gibt einen festgelegten ST_Geometry Wert aus einer Sammlung anderer Geometrien zurück.';
			
COMMENT ON FUNCTION ST_ConcaveHull(geometry , float , boolean ) IS 'args: geomA, target_percent, allow_holes=false - Die konkave Hülle einer Geometrie stellt eine möglicherweise konkave Geometrie dar, welche alle Geometrien der Menge einschließt. Sie können es sich wie in Folie einpacken vorstellen.';
			
COMMENT ON FUNCTION ST_ConvexHull(geometry ) IS 'args: geomA - The convex hull of a geometry represents the minimum convex geometry that encloses all geometries within the set.';
			
COMMENT ON FUNCTION ST_CurveToLine(geometry, float, integer, integer) IS 'args: curveGeom, tolerance, tolerance_type, flags - Converts a CIRCULARSTRING/CURVEPOLYGON/MULTISURFACE to a LINESTRING/POLYGON/MULTIPOLYGON';
			
COMMENT ON FUNCTION ST_DelaunayTriangles(geometry , float , int4 ) IS 'args: g1, tolerance, flags - Gibt die Delaunay-Triangulierung für gegebene Punkte zurück.';
			
COMMENT ON FUNCTION ST_Difference(geometry , geometry ) IS 'args: geomA, geomB - Gibt eine Geometrie zurück, die jenen Teil der Geometrie A abbildet, der sich nicht mit der Geometrie B überschneidet.';
			
COMMENT ON FUNCTION ST_Dump(geometry ) IS 'args: g1 - Gibt einen Satz an geometry_dump (geom,path) Zeilen zurück, aus denen die Geometrie g1 zusammengesetzt ist.';
			
COMMENT ON FUNCTION ST_DumpPoints(geometry ) IS 'args: geom - Gibt eine Menge von geometry_dump (geom,path) Zeilen aller Punkte zurück, aus denen die Geometrie zusammengesetzt ist.';
			
COMMENT ON FUNCTION ST_DumpRings(geometry ) IS 'args: a_polygon - Gibt eine Menge an geometry_dump Zeilen zurück, welche die äußeren und inneren Ringe eines Polygons darstellen.';
			
COMMENT ON FUNCTION ST_FlipCoordinates(geometry) IS 'args: geom - Gibt eine Version der gegebenen Geometrie zurück, wobei die X und Y Achse vertauscht sind. Nützlich wenn man Geoobjekte in Breite/Länge vorliegen hat und dies beheben möchte.';
			
COMMENT ON FUNCTION ST_GeneratePoints(geometry, numeric) IS 'args: g, npoints - Wandelt ein Polygon oder ein MultiPolygon in einen MultiPoint um, welcher aus wahllos angeordeten, innerhalb der ursprünglichen Flächen liegenden Punkten besteht.';
			
COMMENT ON FUNCTION ST_Intersection(geometry, geometry) IS 'args: geomA, geomB - (T) Gibt eine Geometrie zurück, welche den gemeinsamen Anteil von geomA und geomB repräsentiert.';
			
COMMENT ON FUNCTION ST_Intersection(geography, geography) IS 'args: geogA, geogB - (T) Gibt eine Geometrie zurück, welche den gemeinsamen Anteil von geomA und geomB repräsentiert.';
			
COMMENT ON FUNCTION ST_LineToCurve(geometry ) IS 'args: geomANoncircular - Wandelt einen LINESTRING/POLYGON in einen CIRCULARSTRING, CURVEPOLYGON um';
			
COMMENT ON FUNCTION ST_MakeValid(geometry) IS 'args: input - Versucht eine ungültige Geometrie, ohne den Verlust an Knoten zu bereinigen.';
			
COMMENT ON AGGREGATE ST_MemUnion(geometry) IS 'args: geomfield - Das gleiche wie ST_Union, nur freundlicher zum Arbeitsspeicher (verwendet weniger Arbeitsspeicher und mehr Rechnerzeit).';
			
COMMENT ON FUNCTION ST_MinimumBoundingCircle(geometry , integer ) IS 'args: geomA, num_segs_per_qt_circ=48 - Gibt das kleinstmögliche Kreispolygon zurück, welches eine Geometrie zur Gänze beinhaltet. Standardmäßig werden 48 Segmente pro Viertelkreiss verwendet.';
			
COMMENT ON FUNCTION ST_MinimumBoundingRadius(geometry) IS 'args: geom - Gibt den Mittelpunkt und den Radius des kleinstmöglichen Kreises zurück, der die gesamte Geometrie beinhaltet.';
			
COMMENT ON FUNCTION ST_OrientedEnvelope(geometry) IS 'args: geom - Returns a minimum rotated rectangle enclosing a geometry.';
			
COMMENT ON AGGREGATE ST_Polygonize(geometry) IS 'args: geomfield - Aggregatfunktion. Erzeugt eine Sammelgeometrie/GeometryCollection, welche Polygone enthält, die aus den einzelnen Linien einer Menge von Geometrien gebildet werden können.';
			
COMMENT ON FUNCTION ST_Polygonize(geometry[]) IS 'args: geom_array - Aggregatfunktion. Erzeugt eine Sammelgeometrie/GeometryCollection, welche Polygone enthält, die aus den einzelnen Linien einer Menge von Geometrien gebildet werden können.';
			
COMMENT ON FUNCTION ST_Node(geometry ) IS 'args: geom - Knotenberechnung für eine Menge von Linienzügen.';
			
COMMENT ON FUNCTION ST_OffsetCurve(geometry , float , text ) IS 'args: line, signed_distance, style_parameters='' - Gibt eine Linie zurück, die um eine gegebenen Entfernung und Seite von der Eingabelinie versetzt ist. Nützlich zur Berechnung von Linien, die zu einer Mittellinie parallel verlaufen';
			
COMMENT ON FUNCTION ST_RemoveRepeatedPoints(geometry, float8) IS 'args: geom, tolerance - Gibt eine Version der Eingabegeometrie zurück, wobei duplizierte Punkte entfernt werden.';
			
COMMENT ON FUNCTION ST_SharedPaths(geometry, geometry) IS 'args: lineal1, lineal2 - Gibt eine Sammelgeometrie zurück, welche die gemeinsamen Strecken der beiden eingegebenen LineStrings/MultiLinestrings enthält.';
			
COMMENT ON FUNCTION ST_ShiftLongitude(geometry ) IS 'args: geomA - Schaltet geometrische Koordinaten zwischen den Bereichen -180..180 und 0..360 um.';
			
COMMENT ON FUNCTION ST_WrapX(geometry , float8 , float8 ) IS 'args: geom, wrap, move - Versammelt eine Geometrie um einen X-Wert';
			
COMMENT ON FUNCTION ST_Simplify(geometry, float, boolean) IS 'args: geomA, tolerance, preserveCollapsed - Gibt eine vereinfachte Version der Ausgangsgeometrie zurück. Verwendet den Douglas-Peucker Algorithmus.';
			
COMMENT ON FUNCTION ST_SimplifyPreserveTopology(geometry, float) IS 'args: geomA, tolerance - Gibt eine vereinfachte Version der Ausgangsgeometrie zurück. Verwendet den Douglas-Peucker Algorithmus. Vermeidet es abgeleitete Geometrien zu erzeugen (insbesondere Polygone), die invalide sind.';
			
COMMENT ON FUNCTION ST_SimplifyVW(geometry, float) IS 'args: geomA, tolerance - Gibt eine vereinfachte Version der Ausgangsgeometrie zurück. Verwendet den Visvalingam-Whyatt Algorithmus.';
			
COMMENT ON FUNCTION ST_ChaikinSmoothing(geometry, integer, boolean) IS 'args: geom, nIterations = 1, preserveEndPoints = false - Returns a "smoothed" version of the given geometry using the Chaikin algorithm';
			
COMMENT ON FUNCTION ST_FilterByM(geometry, double precision, double precision, boolean) IS 'args: geom, min, max = null, returnM = false - Filters vertex points based on their m-value';
			
COMMENT ON FUNCTION ST_SetEffectiveArea(geometry, float, integer) IS 'args: geomA, threshold = 0, set_area = 1 - Setzt die Nutzfläche für jeden Knoten und speichert den Wert in der M-Ordinate. Eine vereinfachte Geometrie kann dann über einen Filter auf die M-Ordinate erzeugt werden.';
			
COMMENT ON FUNCTION ST_Split(geometry, geometry) IS 'args: input, blade - Gibt eine Sammelgeometrie zurück, die beim Auftrennen einer Geometrie entsteht.';
			
COMMENT ON FUNCTION ST_SymDifference(geometry , geometry ) IS 'args: geomA, geomB - Gibt eine Geometrie zurück, die jene Teile von A und B repräsentiert, die sich nicht überlagern. Wird symmetrische Differenz genannt, da ST_SymDifference(A,B) = ST_SymDifference(B,A).';
			
COMMENT ON FUNCTION ST_Subdivide(geometry, integer) IS 'args: geom, max_vertices=256 - Gibt eine Geometriemenge zurück, wobei keine Geometrie der Menge mehr als die festgelegte Anzahl an Knoten aufweist.';
			
COMMENT ON FUNCTION ST_SwapOrdinates(geometry, cstring) IS 'args: geom, ords - Gibt eine Version der Ausgangsgeometrie zurück, in der die angegebenen Ordinatenwerte ausgetauscht werden.';
			
COMMENT ON AGGREGATE ST_Union(geometry) IS 'args: g1field - Gibt eine Geometrie zurück, welche der mengentheoretischen Vereinigung der Geometrien entspricht.';
			
COMMENT ON FUNCTION ST_Union(geometry, geometry) IS 'args: g1, g2 - Gibt eine Geometrie zurück, welche der mengentheoretischen Vereinigung der Geometrien entspricht.';
			
COMMENT ON FUNCTION ST_Union(geometry[]) IS 'args: g1_array - Gibt eine Geometrie zurück, welche der mengentheoretischen Vereinigung der Geometrien entspricht.';
			
COMMENT ON FUNCTION ST_UnaryUnion(geometry ) IS 'args: geom - Wie ST_Union, arbeitet aber auf der Ebene der Geometriebestandteile.';
			
COMMENT ON FUNCTION ST_VoronoiLines(geometry, float8, geometry) IS 'args: g1, tolerance, extend_to - Gibt die Grenzen zwischen den Zellen des Voronoi Diagramms aus, das aus den Knoten der Geometrie konstruiert wurde.';
			
COMMENT ON FUNCTION ST_VoronoiPolygons(geometry, float8, geometry) IS 'args: g1, tolerance, extend_to - Gibt die Zellen des Voronoi Diagramms zurück, die aus den Knoten der Geometrie erzeugt wurden.';
			
COMMENT ON FUNCTION ST_LineInterpolatePoint(geometry , float8 ) IS 'args: a_linestring, a_fraction - Fügt einen Punkt entlang einer Linie ein. Der zweite Parameter, in Float8-Darstellung mit den Werten von 0 bis 1, gibt jenen Bruchteil der Gesamtlänge des Linienzuges an, wo der Punkt liegen soll.';
			
COMMENT ON FUNCTION ST_LineInterpolatePoints(geometry , float8 , boolean ) IS 'args: a_linestring, a_fraction, repeat - Returns one or more points interpolated along a line.';
			
COMMENT ON FUNCTION ST_LineLocatePoint(geometry , geometry ) IS 'args: a_linestring, a_point - Returns a float between 0 and 1 representing the location of the closest point on LineString to the given Point, as a fraction of total 2d line length.';
			
COMMENT ON FUNCTION ST_LineSubstring(geometry , float8 , float8 ) IS 'args: a_linestring, startfraction, endfraction - Return a linestring being a substring of the input one starting and ending at the given fractions of total 2d length. Second and third arguments are float8 values between 0 and 1.';
			
COMMENT ON FUNCTION ST_LocateAlong(geometry , float8 , float8 ) IS 'args: ageom_with_measure, a_measure, offset - Return a derived geometry collection value with elements that match the specified measure. Polygonal elements are not supported.';
			
COMMENT ON FUNCTION ST_LocateBetween(geometry , float8 , float8 , float8 ) IS 'args: geomA, measure_start, measure_end, offset - Return a derived geometry collection value with elements that match the specified range of measures inclusively. Polygonal elements are not supported.';
			
COMMENT ON FUNCTION ST_LocateBetweenElevations(geometry , float8 , float8 ) IS 'args: geom_mline, elevation_start, elevation_end - Return a derived geometry (collection) value with elements that intersect the specified range of elevations inclusively. Only 3D, 4D LINESTRINGS and MULTILINESTRINGS are supported.';
			
COMMENT ON FUNCTION ST_InterpolatePoint(geometry , geometry ) IS 'args: line, point - Return the value of the measure dimension of a geometry at the point closed to the provided point.';
			
COMMENT ON FUNCTION ST_AddMeasure(geometry , float8 , float8 ) IS 'args: geom_mline, measure_start, measure_end - Return a derived geometry with measure elements linearly interpolated between the start and end points.';
			
COMMENT ON FUNCTION ST_IsValidTrajectory(geometry ) IS 'args: line - Returns true if the geometry is a valid trajectory.';
			
COMMENT ON FUNCTION ST_ClosestPointOfApproach(geometry , geometry ) IS 'args: track1, track2 - Returns the measure at which points interpolated along two lines are closest.';
			
COMMENT ON FUNCTION ST_DistanceCPA(geometry , geometry ) IS 'args: track1, track2 - Returns the distance between closest points of approach in two trajectories.';
			
COMMENT ON FUNCTION ST_CPAWithin(geometry , geometry , float8 ) IS 'args: track1, track2, maxdist - Returns true if the trajectories closest points of approach are within the specified distance.';
			
COMMENT ON FUNCTION AddAuth(text ) IS 'args: auth_token - Fügt einen Berechtigungsschlüssel für die aktuelle Transaktion hinzu.';
			
COMMENT ON FUNCTION CheckAuth(text , text , text ) IS 'args: a_schema_name, a_table_name, a_key_column_name - Legt einen Trigger auf eine Tabelle an um, basierend auf einen Token, Updates und Deletes von Zeilen zu verhindern oder zu erlauben.';
			
COMMENT ON FUNCTION CheckAuth(text , text ) IS 'args: a_table_name, a_key_column_name - Legt einen Trigger auf eine Tabelle an um, basierend auf einen Token, Updates und Deletes von Zeilen zu verhindern oder zu erlauben.';
			
COMMENT ON FUNCTION DisableLongTransactions() IS 'Deaktivert die Unterstützung für lang andauernde Transaktionen. Diese Funktion entfernt die Metadatentabellen der Unterstützung für lang andauernde Transaktionen und löscht alle Trigger der auf Lock geprüften Tabellen.';
			
COMMENT ON FUNCTION EnableLongTransactions() IS 'Akktivert die Unterstützung für lang andauernde Transaktionen. Diese Funktion erzeut die benötigten Metadatentabellen und muss einmal aufgerufen werden bevor die anderen Funktionen dieses Abschnitts angewandt werden. Ein zweimaliger Aufruf ist harmlos.';
			
COMMENT ON FUNCTION LockRow(text , text , text , text, timestamp) IS 'args: a_schema_name, a_table_name, a_row_key, an_auth_token, expire_dt - Setzt einen Lock/Autorisierung auf eine bestimmte Zeile in der Tabelle';
			
COMMENT ON FUNCTION LockRow(text , text , text, timestamp) IS 'args: a_table_name, a_row_key, an_auth_token, expire_dt - Setzt einen Lock/Autorisierung auf eine bestimmte Zeile in der Tabelle';
			
COMMENT ON FUNCTION LockRow(text , text , text) IS 'args: a_table_name, a_row_key, an_auth_token - Setzt einen Lock/Autorisierung auf eine bestimmte Zeile in der Tabelle';
			
COMMENT ON FUNCTION UnlockRows(text ) IS 'args: auth_token - Entfernt alle Locks einer bestimmten Authorisierungs-ID. Gibt die Anzahl der freigegebenen Locks aus.';
			
COMMENT ON AGGREGATE ST_Accum(geometry) IS 'args: geomfield - Aggregatfunktion. Erzeugt ein Feld mit Geometrien.';
			
COMMENT ON FUNCTION Box2D(geometry ) IS 'args: geomA - Returns a BOX2D representing the maximum extents of the geometry.';
			
COMMENT ON FUNCTION Box3D(geometry ) IS 'args: geomA - Returns a BOX3D representing the maximum extents of the geometry.';
			
COMMENT ON FUNCTION ST_EstimatedExtent(text , text , text , boolean ) IS 'args: schema_name, table_name, geocolumn_name, parent_ony - Return the estimated extent of the given spatial table. The estimated is taken from the geometry columns statistics. The current schema will be used if not specified.';
			
COMMENT ON FUNCTION ST_EstimatedExtent(text , text , text ) IS 'args: schema_name, table_name, geocolumn_name - Return the estimated extent of the given spatial table. The estimated is taken from the geometry columns statistics. The current schema will be used if not specified.';
			
COMMENT ON FUNCTION ST_EstimatedExtent(text , text ) IS 'args: table_name, geocolumn_name - Return the estimated extent of the given spatial table. The estimated is taken from the geometry columns statistics. The current schema will be used if not specified.';
			
COMMENT ON FUNCTION ST_Expand(geometry , float) IS 'args: geom, units_to_expand - Returns bounding box expanded in all directions from the bounding box of the input geometry. Uses double-precision';
			
COMMENT ON FUNCTION ST_Expand(geometry , float, float, float, float) IS 'args: geom, dx, dy, dz=0, dm=0 - Returns bounding box expanded in all directions from the bounding box of the input geometry. Uses double-precision';
			
COMMENT ON FUNCTION ST_Expand(box2d , float) IS 'args: box, units_to_expand - Returns bounding box expanded in all directions from the bounding box of the input geometry. Uses double-precision';
			
COMMENT ON FUNCTION ST_Expand(box2d , float, float) IS 'args: box, dx, dy - Returns bounding box expanded in all directions from the bounding box of the input geometry. Uses double-precision';
			
COMMENT ON FUNCTION ST_Expand(box3d , float) IS 'args: box, units_to_expand - Returns bounding box expanded in all directions from the bounding box of the input geometry. Uses double-precision';
			
COMMENT ON FUNCTION ST_Expand(box3d , float, float, float) IS 'args: box, dx, dy, dz=0 - Returns bounding box expanded in all directions from the bounding box of the input geometry. Uses double-precision';
			
COMMENT ON AGGREGATE ST_Extent(geometry) IS 'args: geomfield - an aggregate function that returns the bounding box that bounds rows of geometries.';
			
COMMENT ON AGGREGATE ST_3DExtent(geometry) IS 'args: geomfield - an aggregate function that returns the box3D bounding box that bounds rows of geometries.';
			
COMMENT ON FUNCTION Find_SRID(varchar , varchar , varchar ) IS 'args: a_schema_name, a_table_name, a_geomfield_name - The syntax is find_srid(a_db_schema, a_table, a_column) and the function returns the integer SRID of the specified column by searching through the GEOMETRY_COLUMNS table.';
			
COMMENT ON FUNCTION ST_MemSize(geometry ) IS 'args: geomA - Returns the amount of space (in bytes) the geometry takes.';
			
COMMENT ON FUNCTION ST_PointInsideCircle(geometry , float , float , float ) IS 'args: a_point, center_x, center_y, radius - Is the point geometry inside the circle defined by center_x, center_y, radius';
			
COMMENT ON FUNCTION PostGIS_AddBBox(geometry ) IS 'args: geomA - Fügt der Geometrie ein Umgebungsrechteck hinzu.';
			
COMMENT ON FUNCTION PostGIS_DropBBox(geometry ) IS 'args: geomA - Löscht das zwischengespeicherte Umgebungsrechteck der Geometrie.';
			
COMMENT ON FUNCTION PostGIS_HasBBox(geometry ) IS 'args: geomA - Gibt TRUE zurück, wenn die BBox der Geometrie zwischengespeichert ist, andernfalls wird FALSE zurückgegeben.';
			